Name:           elokab
Version:        0.3
Release:        7%{?dist}
License:        GPLv3
Summary:        Light Desktop Environment
Summary(ar):    بيئة سطح مكتب خفيفة
URL:            https://sourceforge.net/projects/elokab
Source0:        http://download.opensuse.org/repositories/home:/abouzakaria/Debian_7.0/%{name}_%{version}.orig.tar.gz

BuildRequires:  qt4-devel >= 4.7.0
BuildRequires:  libXcomposite-devel
BuildRequires:  libXcursor-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  zlib-devel
BuildRequires:  file-devel
BuildRequires:  polkit-qt-devel
BuildRequires:  dejavu-serif-fonts
BuildRequires:  perl

Requires:       udisks
Requires:       xterm

%description
Very Light Qt Desktop Environment.

%description -l ar
بيئة سطح مكتب كيوتي خفيفة جدًا.

%prep
%setup -q -n %{name}_%{version}

# fix desktop files errors
perl -i -l -wpe 's/^(Icon=).*/${1}elokab/' usr/share/applications/elokab-applications.desktop

# Add by packager and contributor, Muhammad Shaban
# fix my name & add my email ^_^ 
perl -pi -w -e 's|Mohamed chaaban \(http\:\/\/www.linuxac.org\)|Muhammad Shaban \(Mr.Muhammad\@outlook.com\)|g;' elokab-panel/CODECFORTR
perl -pi -w -e 's|Mohamed chaaban \(http\:\/\/www.linuxac.org\)|Muhammad Shaban \(Mr.Muhammad\@outlook.com\)|g;' elokab-panel/UTF-8
perl -pi -w -e 's|Mohamed chaaban \(http\:\/\/www.linuxac.org\)|Muhammad Shaban \(Mr.Muhammad\@outlook.com\)|g;' common/about/widgetabout.cpp
perl -pi -w -e 's|Mohamed chaaban \(http\:\/\/www.linuxac.org\)|Muhammad Shaban \(Mr.Muhammad\@outlook.com\)|g;' usr/share/elokab/translations/*/*.ts

# fix lib dir
find . -type f -print0 |
xargs -0 perl -pi -w -e 's|/usr/lib/i386-linux-gnu|%{_libdir}|g;'

find . -type f -print0 |
xargs -0 perl -pi -w -e 's|/usr/lib|%{_libdir}|g;'

# fix xterminal exec
find . -type f -print0 |
xargs -0 perl -pi -w -e 's|x-terminal-emulator|xterm|g;'

# configure
qmake-qt4 CONFIG+=release

%build
#make %{?_smp_mflags}   #Didn't work
make

%install
make install INSTALL_ROOT=%{buildroot}

%files
%doc GPLv3.txt README TODO INSTALL
%license GPLv3.txt

%{_sysconfdir}/xdg/autostart/elokab-dock.desktop
%{_sysconfdir}/xdg/autostart/elokab-ssaver.desktop
%{_sysconfdir}/xdg/autostart/elokab-notify.desktop
%{_sysconfdir}/xdg/autostart/elokab-polkit-agent.desktop
%{_sysconfdir}/xdg/elokab/shortcut.conf
%{_sysconfdir}/xdg/elokab/dockQuickLanche.conf
%{_sysconfdir}/xdg/elokab/settings.conf
%{_sysconfdir}/xdg/menus/elokab-applications.menu

%{_bindir}/ekbsudo
%{_bindir}/elokab-applications
%{_bindir}/elokab-desktop
%{_bindir}/elokab-dock
%{_bindir}/elokab-panel
%{_bindir}/elokab-run
%{_bindir}/elokab-session
%{_bindir}/elokab-settings
%{_bindir}/elokab-syspower
%{_bindir}/elokab-notify
%{_bindir}/elokab-polkit-agent
%{_bindir}/elokab-fm
%{_bindir}/elokab-fa
%{_bindir}/elokab-ssaver
%{_bindir}/elokab-shortcuts

%{_libdir}/elokab
%{_libdir}/libelokabbtncolor.so
%{_libdir}/libelokabmimicon.so
%{_libdir}/libelokabmount.so
%{_libdir}/libelokabpower.so
%{_libdir}/libelokabqxt.so
%{_libdir}/libelokabsysstat.so
%{_libdir}/libelokabx11utills.so

%{_datadir}/icons/*
%{_datadir}/elokab
%{_datadir}/xsessions/*
%{_datadir}/desktop-directories/*
%{_datadir}/applications/*

%changelog
* Thu Apr 2 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-7
- Port to Fedora, try #7

* Thu Apr 2 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-6
- Port to Fedora, try #6
- Fix Xterm command

* Mon Mar 30 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-5
- Port to Fedora, try #5

* Mon Mar 30 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-4
- Port to Fedora, try #4
- Use manual make install

* Mon Mar 30 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-3
- Port to Fedora, try #3

* Sun Mar 29 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-2
- Port to Fedora, try #2
- Fix x86-64 build

* Sun Mar 15 2015 Mosaab Alzoubi <moceap@hotmail.com> - 0.3-1
- Port to Fedora, try #1

* Mon Mar 02 2015 abouzakaria <yahiaui@gmail.com> - 0.3-0
- new source elokab_0.3.tar.gz

* Wed Feb 26 2014 abouzakaria <yahiaui@gmail.com> - 0.1-2
- new source elokab_01.tar.gz

* Tue Feb 25 2014 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1-1
- fix build errors

* Tue Feb 25 2014 abouzakaria <yahiaui@gmail.com> - 0.1-0
- preparing 0.1 release
